Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
Real Struct Reference

`#include <bigdecimal.h>`

## Data Fields
VALUE | obj
size_t | MaxPrec
size_t | Prec
SIGNED_VALUE | exponent
short | sign
short | flag
BDIGIT | frac [FLEXIBLE_ARRAY_SIZE]

## Detailed Description

Definition at line 242 of file bigdecimal.h.

## Field Documentation

## ◆ exponent

SIGNED_VALUE Real::exponent

Definition at line 250 of file bigdecimal.h.

Referenced by VpAsgn(), VpComp(), VpDtoV(), VpExponent10(), VpFrac(), VpMidRound(), VpNumOfChars(), VpPower(), VpSqrt(), VpToFString(), and VpVtoD().

## ◆ flag

short Real::flag

Definition at line 261 of file bigdecimal.h.

## ◆ frac

BDIGIT Real::frac[FLEXIBLE_ARRAY_SIZE]

Definition at line 262 of file bigdecimal.h.

Referenced by VpAsgn(), VpComp(), VpDtoV(), VpExponent10(), VpFrac(), VpLeftRound(), VpMidRound(), VpPower(), VpSzMantissa(), VpToFString(), and VpVtoD().

## ◆ MaxPrec

size_t Real::MaxPrec

Definition at line 244 of file bigdecimal.h.

Referenced by rmpd_parse_special_string(), VpAlloc(), VpAsgn(), VpDtoV(), VpFrac(), VpPower(), and VpSqrt().

## ◆ obj

VALUE Real::obj

Definition at line 243 of file bigdecimal.h.

## ◆ Prec

size_t Real::Prec

Definition at line 247 of file bigdecimal.h.

Referenced by VpAsgn(), VpComp(), VpDtoV(), VpFrac(), VpMidRound(), VpNumOfChars(), VpPower(), VpSzMantissa(), VpToFString(), and VpVtoD().

## ◆ sign

short Real::sign

Definition at line 251 of file bigdecimal.h.

Referenced by VpComp().

The documentation for this struct was generated from the following file:

- ext/bigdecimal/bigdecimal.h